Tenant
Update clinic info
PUT
/
v1
/
tenant
Update clinic info
curl --request PUT \
--url https://dev.flextell.ai/api/v1/tenant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"phone_number": "<string>",
"address": "<string>",
"knowledge_base": "<string>",
"services": [
"<string>"
],
"location": {
"latitude": 0,
"longitude": 0
},
"work_hours": [
{
"enabled": true,
"open": "<string>",
"close": "<string>"
}
]
}
'import requests
url = "https://dev.flextell.ai/api/v1/tenant"
payload = {
"phone_number": "<string>",
"address": "<string>",
"knowledge_base": "<string>",
"services": ["<string>"],
"location": {
"latitude": 0,
"longitude": 0
},
"work_hours": [
{
"enabled": True,
"open": "<string>",
"close": "<string>"
}
]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
phone_number: '<string>',
address: '<string>',
knowledge_base: '<string>',
services: ['<string>'],
location: {latitude: 0, longitude: 0},
work_hours: [{enabled: true, open: '<string>', close: '<string>'}]
})
};
fetch('https://dev.flextell.ai/api/v1/tenant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"avatar_url": "<string>",
"phone_number": "<string>",
"address": "<string>",
"location": {
"latitude": "<string>",
"longitude": "<string>"
},
"services": [
"<unknown>"
],
"knowledge_base": [
"<unknown>"
],
"work_hours": [
{}
],
"city_id": 123,
"district_id": 123,
"country_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"city": {
"id": 123,
"name": "<string>"
},
"district": {
"id": 123,
"name": "<string>"
},
"country": {
"id": 123,
"name": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Body
application/json
Primary public-facing phone number.
Maximum string length:
32Clinic street address.
Maximum string length:
500Free-form knowledge base text used by the AI assistant.
Maximum string length:
5000List of clinic services (e.g. "Parking", "Wi-Fi").
A services value.
Maximum string length:
120Geographic coordinates.
Show child attributes
Show child attributes
Weekly work hours, one entry per day of the week.
Required array length:
7 elementsShow child attributes
Show child attributes
⌘I
Update clinic info
